struct xv moveNisB(int s, int g, struct swarm SW, struct problem pb, struct param param)
{
	// "NEARER IS BETTER" STRATEGY 
	int d;
	double dist,distMin;
	int i;
	struct position p1, pext, pivot;
	double radius2;
	int s2;
	struct xv xv;

	p1=SW.P[g];
	// Find the nearest "good" position p2 
	if(s>0) s2=0; else s2=1;
	distMin=distanceL(p1,SW.P[s2],2); // Euclidean distance

	for(i=0;i<param.S;i++)
	{
		if(i==s) continue;

		dist=distanceL(p1,SW.P[i],2); 
		if(dist<distMin)
		{
			distMin=dist;
			s2=i;
		}

	}
	// Define the pivot, p or g
	if(betterThan(SW.P[s2].f,p1.f)) {pivot=SW.P[s2]; pext=p1;}
	else {pivot=p1;pext=SW.P[s2];}

	// Draw at random in a hypersphere
	radius2=NisBD*distanceL(pivot,pext,2); // Euclidean distance
	xv.v=alea_sphere(pb.SS.D, 0,radius2,-1, -1); // Uniform distribution
	for(d=0;d<pb.SS.D;d++) xv.x.x[d]=pivot.x[d]+xv.v.v[d];

	return xv;
}
